package com.ruoyi.project.training.service;

import java.util.List;
import com.ruoyi.project.training.domain.TTrainingNon;

/**
 * 培训计划未参加人员Service接口
 * 
 * @author ruoyi
 * @date 2021-05-26
 */
public interface ITTrainingNonService 
{
    /**
     * 查询培训计划未参加人员
     * 
     * @param id 培训计划未参加人员ID
     * @return 培训计划未参加人员
     */
    public TTrainingNon selectTTrainingNonById(Long id);

    /**
     * 查询培训计划未参加人员列表
     * 
     * @param tTrainingNon 培训计划未参加人员
     * @return 培训计划未参加人员集合
     */
    public List<TTrainingNon> selectTTrainingNonList(TTrainingNon tTrainingNon);

    /**
     * 新增培训计划未参加人员
     * 
     * @param tTrainingNon 培训计划未参加人员
     * @return 结果
     */
    public int insertTTrainingNon(TTrainingNon tTrainingNon);

    /**
     * 修改培训计划未参加人员
     * 
     * @param tTrainingNon 培训计划未参加人员
     * @return 结果
     */
    public int updateTTrainingNon(TTrainingNon tTrainingNon);

    /**
     * 批量删除培训计划未参加人员
     * 
     * @param ids 需要删除的培训计划未参加人员ID
     * @return 结果
     */
    public int deleteTTrainingNonByIds(Long[] ids);

    /**
     * 删除培训计划未参加人员信息
     * 
     * @param id 培训计划未参加人员ID
     * @return 结果
     */
    public int deleteTTrainingNonById(Long id);
}
